import { Facet } from '@codemirror/state';
import type { LanguageSupport } from '@codemirror/language';
export declare type LangOrLangFactory = LanguageSupport | (() => LanguageSupport);
export interface EmmetPreviewConfig {
    /** Language definition for displaying HTML-like abbreviation preview  */
    html?: LangOrLangFactory;
    /** Language definition for displaying CSS-like abbreviation preview  */
    css?: LangOrLangFactory;
}
export interface EmmetConfig {
    preview: EmmetPreviewConfig;
}
export declare const config: Facet<Partial<EmmetConfig>, EmmetConfig>;
